Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# WxPandaShell Class Reference

Inheritance diagram for WxPandaShell:

List of all members.

## Public Member Functions
def | __init__
def | appInit
def | createInterface
def | createMenu
def | getCurrentView
def | initialize
def | onViewChange
def | wxStep
## Public Attributes
| baseFrame
| currentView
| evtLoop
| frontView
| fStartDirect
| leftBarDownPane
| leftBarUpPane
| leftFrame
| leftView
| mainFrame
| menuView
| oldLoop
| perspView
| perspViewMenuItem
| rightBarDownPane
| rightBarUpPane
| rightFrame
| topView
| viewFrame
| wxApp
## Static Public Attributes
string | appname = 'Panda3D Generic WX Frame'
string | appversion = '1.0'
tuple | copyright
int | frameHeight = 600
int | frameWidth = 800
dictionary | MENU_TEXTS

## Detailed Description

    Class for Panda3D LevelEditor

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | fStartDirect = `False`
| ) |  |

## Member Function Documentation

def appInit | ( |  | self | ) |

    Overridden from WxAppShell.py.

Reimplemented from WxAppShell.

def createInterface | ( |  | self | ) |

Reimplemented from WxAppShell.

def createMenu | ( |  | self | ) |

def getCurrentView | ( |  | self | ) |

    Function for get the current Viewport

def initialize | ( |  | self | ) |

    Initializes the viewports and editor.

def onViewChange | ( |  | self,
|  |  | evt,
|  |  | viewIdx
| ) |  |

def wxStep | ( |  | self,
|  |  | task = `None`
| ) |  |

    A step in the WX event loop. You can either call this yourself or use as task.

## Member Data Documentation

string appname = 'Panda3D Generic WX Frame'`[static]`

Reimplemented from WxAppShell.

string appversion = '1.0'`[static]`

Reimplemented from WxAppShell.

baseFrame

tuple copyright`[static]`

Initial value:

    ('Copyright 2010 Disney Online Studios.' +
                           '\nAll Rights Reserved.')

Reimplemented from WxAppShell.

currentView

evtLoop

int frameHeight = 600`[static]`

Reimplemented from WxAppShell.

int frameWidth = 800`[static]`

Reimplemented from WxAppShell.

frontView

fStartDirect

leftBarDownPane

leftBarUpPane

leftFrame

leftView

mainFrame

dictionary MENU_TEXTS`[static]`

Initial value:

    {
            ID_FOUR_VIEW : ("Four Views", None),
            ID_TOP_VIEW : ("Top View", None),
            ID_FRONT_VIEW : ("Front View", None),
            ID_LEFT_VIEW : ("Left View", None),
            ID_PERSP_VIEW : ("Persp View", None),
            }

menuView

oldLoop

perspView

perspViewMenuItem

rightBarDownPane

rightBarUpPane

rightFrame

topView

viewFrame

wxApp

All Classes Namespaces Functions Variables Enumerations Enumerator Properties